aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-04-12 17:37:48 -0500
committerWilliam Harrington <kb0iic@berzerkula.org>2021-04-12 17:37:48 -0500
commit71ccef2197237e7339352069a6b5f35a60599745 (patch)
tree01babd93a6013de1ebe02e60a68e13f7e922eeee
parentbd6f662dfb7d293b8143785a7b28c9bfeccd0ee2 (diff)
Add chapter 10 section.
-rwxr-xr-xlfs.sh23
1 files changed, 22 insertions, 1 deletions
diff --git a/lfs.sh b/lfs.sh
index a6b2abc..9362a26 100755
--- a/lfs.sh
+++ b/lfs.sh
@@ -229,7 +229,7 @@ sleep 3
# Create chapter9 log directory as non root user
mkdir -p "${LFS}"/sources/log/chapter9
-# Enter CHROOT for chapter 9,10
+# Enter CHROOT for chapter 9
sudo chroot "${LFS}" /usr/bin/env -i \
HOME=/root \
TERM="${TERM}" \
@@ -244,3 +244,24 @@ retval=$?
printf "%b" "\n${CYN}EXITED ${RED}CHROOT${RST} ENVIRONMENT...${RST}\n"
+# Create chapter10 log directory as non root user
+mkdir -p "${LFS}"/sources/log/chapter10
+
+# Enter CHROOT for chapter 10
+sudo chroot "${LFS}" /usr/bin/env -i \
+ HOME=/root \
+ TERM="${TERM}" \
+ PS1='(lfs chroot) \u:\w\$ ' \
+ PATH=/bin:/usr/bin:/sbin:/usr/sbin \
+ NUMPROCS="${NUMPROCS}" \
+ MAKEFLAGS="${MAKEFLAGS}" \
+ NINJAJOBS="${NINJAJOBS}" \
+ SPINNER="${SPINNER}" \
+ LFS_DISK="${LFS_DISK}" \
+ LFS_PART="${LFS_PART}" \
+ LFS_FS="${LFS_FS}" \
+ /bin/bash --login +h -c "/sources/insidechroot.sh 10"
+retval=$?
+
+printf "%b" "\n${CYN}EXITED ${RED}CHROOT${RST} ENVIRONMENT...${RST}\n"
+